summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorMicah Anderson <micah@riseup.net>2013-07-18 15:52:33 -0400
committerMicah Anderson <micah@riseup.net>2013-07-18 15:52:33 -0400
commit0b58749ec19e70cc8c259d7362df740995d0d587 (patch)
tree5d4d60b65cf3fa6108724288971e88c29bf1deff /debian
parent70c6aeb48686e3e9b913e85c3108483b1989fde4 (diff)
fix installation of initscript
Diffstat (limited to 'debian')
-rw-r--r--debian/soledad-server.init73
1 files changed, 72 insertions, 1 deletions
diff --git a/debian/soledad-server.init b/debian/soledad-server.init
index e352c10c..b1d898cc 100644
--- a/debian/soledad-server.init
+++ b/debian/soledad-server.init
@@ -1 +1,72 @@
-../soledad_server/pkg/soledad
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: soledad
+# Required-Start: $network $named $remote_fs $syslog $time
+# Required-Stop: $network $named $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start soledad daemon at boot time
+# Description: Synchronization of locally encrypted data among devices
+### END INIT INFO
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PIDFILE=/var/run/soledad.pid
+RUNDIR=/var/lib/soledad/
+OBJ=leap.soledad_server.application
+LOGFILE=/var/log/soledad.log
+HTTPS_PORT=2424
+PLAIN_PORT=65534
+CERT_PATH=/etc/leap/soledad-server.pem
+PRIVKEY_PATH=/etc/leap/soledad-server.pem
+TWISTD_PATH=/usr/bin/twistd
+HOME=/var/lib/soledad/
+
+[ -r /etc/default/soledad ] && . /etc/default/soledad
+
+test -r /etc/leap/ || exit 0
+
+. /lib/lsb/init-functions
+
+
+case "$1" in
+ start)
+ echo -n "Starting soledad: twistd"
+ start-stop-daemon --start --quiet --exec $TWISTD_PATH -- \
+ --pidfile=$PIDFILE \
+ --logfile=$LOGFILE \
+ web \
+ --wsgi=$OBJ \
+ --https=$HTTPS_PORT \
+ --certificate=$CERT_PATH \
+ --privkey=$PRIVKEY_PATH \
+ --port=$PLAIN_PORT
+ echo "."
+ ;;
+
+ stop)
+ echo -n "Stopping soledad: twistd"
+ start-stop-daemon --stop --quiet \
+ --pidfile $PIDFILE
+ echo "."
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+
+ force-reload)
+ $0 restart
+ ;;
+
+ status)
+ status_of_proc -p $PIDFILE $TWISTD_PATH soledad && exit 0 || exit $?
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/soledad {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0